<mat-form-field appearance="outline">
	<mat-label>{{ 'PrivacyAlgorithmText' | translate }}</mat-label>
  <mat-select [disabled]="disabled" [(value)]="selected" >
    <mat-option *ngFor="let a of availableAlgorithms" [value]="a" >
      {{a.name}}
    </mat-option>
  </mat-select>
</mat-form-field>

<app-privacy-algorithm-settings 
	[algorithm]="selected" 
	(newSettingsEvent)="newSettings($event)"
	*ngIf="selected" >
</app-privacy-algorithm-settings>

